package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Test_visa;
import com.realnet.vpspack.Services.Test_visaService ;










@RequestMapping(value = "/Test_visa")
 @CrossOrigin("*") 
@RestController
public class Test_visaController {
	@Autowired
	private Test_visaService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Test_visa")
		  public Test_visa Savedata(@RequestBody Test_visa data) {
		Test_visa save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test_visa/{id}")
	public  Test_visa update(@RequestBody Test_visa data,@PathVariable Integer id ) {
		Test_visa update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test_visa/getall/page")
	public Page<Test_visa> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test_visa> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test_visa")
	public List<Test_visa> getdetails() {
		 List<Test_visa> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test_visa")
	public List<Test_visa> getallwioutsec() {
		 List<Test_visa> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test_visa/{id}")
	public  Test_visa  getdetailsbyId(@PathVariable Integer id ) {
		Test_visa  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test_visa/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}